| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes | List of all members
Tp::MemberFunctor0< R, T > Struct Template Reference

`#include </build/telepathy-qt-h4W587/telepathy-qt-0.9.7/TelepathyQt/functors.h>`

Inheritance diagram for Tp::MemberFunctor0< R, T >:
[legend]

## Public Types

typedef R(T::* | FunctionType) ()
typedef R | ResultType

## Public Member Functions

| MemberFunctor0 (T *object, FunctionType fn)
ResultType | operator() () const

## Public Attributes

T * | object
FunctionType | fn

## Member Typedef Documentation

## § FunctionType

template<class R, class T>

typedef R(T::* Tp::MemberFunctor0< R, T >::FunctionType) ()

## § ResultType

template<class R, class T>

typedef R Tp::MemberFunctor0< R, T >::ResultType

## Constructor & Destructor Documentation

## § MemberFunctor0()

template<class R, class T>

Tp::MemberFunctor0< R, T >::MemberFunctor0 | ( | T * | object,
|  | FunctionType | fn
| ) |  |

inline

## Member Function Documentation

## § operator()()

template<class R, class T>

ResultType Tp::MemberFunctor0< R, T >::operator() | ( |  | ) | const

inline

## Member Data Documentation

## § object

template<class R, class T>

T* Tp::MemberFunctor0< R, T >::object

## § fn

template<class R, class T>

FunctionType Tp::MemberFunctor0< R, T >::fn